/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2006      by Monami Software Limited Partnership, JAPAN
 *  Copyright (C) 2004-2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: prc_kernel.h 1157 2008-06-26 03:10:08Z ertl-yutaka $
 */

/*
 *		kernel.hΥץå¸M32Rѡ
 *
 *  Υ󥯥롼ɥեϡtarget_kernel.hʤޤϡ饤
 *  롼ɤեˤΤߤ饤󥯥롼ɤ롥¾Υե뤫
 *  ľܥ󥯥롼ɤƤϤʤʤ
 */

#ifndef TOPPERS_PRC_KERNEL_H
#define TOPPERS_PRC_KERNEL_H

/*
 *  ͥγͥ٤ϰ
 *
 *  TMIN_INTPRIѹ뤳ȤǡɤΥ٥⤤ͥ
 *  ĤΤ򥫡ͥγߤȤ뤫ѹǤ롥
 *
 *  TMIN_INTPRIǤͤϡ-7-1ϰϤǤ롥㤨TMIN_INTPRI 
 *  -6ꤹȡNMI˲äƥ٥1γߤͥȤʤ
 *  M32RǤϡ٥0NMI򼨤ˡTMIN_INTPRI-7ꤹȡNMI
 *  ʳ˥ͥγߤߤʤȤˤʤ롥
 */
#ifndef TMIN_INTPRI
#define TMIN_INTPRI		(-7)		/* ͥ٤κǾ͡ʺǹ͡*/
#endif /* TMIN_INTPRI */

#define TMAX_INTPRI		(-1)		/* ͥ٤κ͡ʺ͡*/

/*
 *  °
 *
 *  ξåȥꥬǤʤΤʤ
 */
#define	TA_POSEDGE		UINT_C(0x02)		/* ݥƥ֥åȥꥬ */
#define	TA_NEGEDGE		UINT_C(0x04)		/* ͥƥ֥åȥꥬ */
#define TA_LOWLEVEL		UINT_C(0x00)		/* ٥ȥꥬ */
#define TA_HIGHLEVEL	UINT_C(0x08)		/* ϥ٥ȥꥬ */

#endif /* TOPPERS_PRC_KERNEL_H */
